Bug 648646 - RFE: Compliance report
RFE: Compliance report
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.2
All All
low Severity low
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2010-11-01 16:30 EDT by Steve Neidinger
Modified: 2013-02-21 04:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:35:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Neidinger 2010-11-01 16:30:20 EDT
This enhancement request for Spacewalk/Satellite server would provide an option to have a security compliance report emailed to the logged in Spacewalk/Satellite user. The compliance security report would show each system, by organization, and which (if any) updates and eratta are missing from the system. If a Spacewalk/Satellite Administrator requests the report, all organizations and systems would be shown.
Comment 1 Jan Pazdziora 2010-11-11 03:10:27 EST
Mass-aligning under space12, so that we don't lose track of this bugzilla. This
however does not mean that we plan (will be able to) address this bug in
Spacewalk 1.2.
Comment 2 Colin Coe 2010-11-12 07:43:52 EST
Hi Steve

I doubt that the last part of the RFE would be accepted, I'm pretty sure an Origanisational Administrator from each organisation would have to request this report.

Have you seen the Currency Report page? It might be a good starting point.  https://your.sat.com/rhn/systems/SystemCurrency.do

CC
Comment 3 Jan Pazdziora 2010-11-19 11:05:48 EST
Mass-moving to space13.
Comment 4 Miroslav Suchý 2011-04-11 03:34:21 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 5 Miroslav Suchý 2011-04-11 03:37:30 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 6 Jan Pazdziora 2011-07-20 07:53:00 EDT
Aligning under space16.
Comment 7 Clifford Perry 2011-08-05 10:35:17 EDT
The command line tool - spacewalk-report I feel would also meet this need today - just not exposed in UI as being requested here, but it does for all Orgs and data. Since it is put into cvs format, you can easily filter the data off as needed. 

We may also want to add an 'export to CSV' link on the System Currency page. 

Cliff
Comment 8 Jan Pazdziora 2012-12-07 14:37:08 EST
Setting needinfo for the reporter -- does the spacewalk-report command meet the functional requirement of this RFE (by providing compliance report)?
Comment 9 Michael Mráka 2013-02-21 04:35:47 EST
Seems we lost communication here.

Spacewalk-report can do this kind of report.

Note You need to log in before you can comment on or make changes to this bug.